# $Revision: 1.7 $, $Date: 2012/01/14 18:04:31 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Object
%define	pnam	Signature
Summary:	Signature - Generate cryptographic signatures for objects
Summary(pl.UTF-8):	Signature - generowanie podpisów kryptograficznych dla obiektów
Name:		perl-Object-Signature
Version:	1.07
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	387fd336d07bd5e74669ec33515c28ef
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Object::Signature is an abstract base class that you can inherit from
in order to allow your objects to generate unique cryptographic
signatures.

The method used to generate the signature is based on Storable and
Digest::MD5. The object is fed to Storable::nfreeze to get a string,
which is then passed to Digest::MD5::md5_hex to get a unique 32
character hexadecimal signature.

%description -l pl.UTF-8
Object::Signature to abstrakcyjna klasa bazowa, z której można
dziedziczyć, aby umożliwić obiektom generowanie unikalnych podpisów
kryptograficznych.

Metoda używana do generowania podpisów opiera się na Storable i
Digest::MD5. Obiekt jest przekazywany do Storable::nfreeze w celu
uzyskania łańcucha znaków, który jest następnie przekazywany do
Digest::MD5::md5_hex w celu uzyskania unikalnego 32-znakowego
podpisu szesnastkowego.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Object/*.pm
%{perl_vendorlib}/Object/Signature
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Object-Signature.spec,v $
Revision 1.7  2012/01/14 18:04:31  zbyniu
- up to 1.07

Revision 1.6  2009/09/02 07:33:28  amateja
- updated to 1.05

Revision 1.5  2008/07/27 22:45:30  arekm
- release 2

Revision 1.4  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.3  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.2  2006/04/15 15:35:51  qboosh
- pl

Revision 1.1  2006/04/08 16:43:11  migo
- initial revision
